# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/IRC.pm) perl(AnyEvent/IRC/Client.pm) perl(AnyEvent/IRC/Connection.pm) perl(AnyEvent/Socket.pm) perl(AnyEvent/Subprocess.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/Long/Descriptive.pm) perl(IO/Select.pm) perl(IO/Socket/Socks.pm) perl(JSON/XS.pm) perl(List/Util.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(MooseX/Getopt.pm) perl(MooseX/Types/CheckedUtilExports.pm) perl(Net/SSH2.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(WWW/FreeProxyListsCom.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name IRC-RemoteControl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Simple daemon for proxying irc connections
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/W/WO/WOOSTER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This project aims to bring a new level of professionalism and stable
code to the world of remote-control IRC. It has a modular design,
allowing reuse of different proxy and personality types.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/I*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

